Upstream information

CVE-2018-12891 at MITRE

Description

An issue was discovered in Xen through 4.10.x. Certain PV MMU operations may take a long time to process. For that reason Xen explicitly checks for the need to preempt the current vCPU at certain points. A few rarely taken code paths did bypass such checks. By suitably enforcing the conditions through its own page table contents, a malicious guest may cause such bypasses to be used for an unbounded number of iterations. A malicious or buggy PV guest may cause a Denial of Service (DoS) affecting the entire host. Specifically, it may prevent use of a physical CPU for an indeterminate period of time. All Xen versions from 3.4 onwards are vulnerable. Xen versions 3.3 and earlier are vulnerable to an even wider class of attacks, due to them lacking preemption checks altogether in the affected code paths. Only x86 systems are affected. ARM systems are not affected. Only multi-vCPU x86 PV guests can leverage the vulnerability. x86 HVM or PVH guests as well as x86 single-vCPU PV ones cannot leverage the vulnerability.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.9
Vector AV:L/AC:L/Au:N/C:N/I:N/A:C
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Complete
CVSS v3 Scores
  SUSE
Base Score 2.5
Vector AV:L/AC:H/PR:L/UI:N/S:U/C:N/I:N/A:L
Access Vector Local
Access Complexity High
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact Low
SUSE Bugzilla entry: 1097521 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE CaaS Platform ALL
  • xen >= 4.9.2_08-3.35.2
  • xen-libs >= 4.9.2_08-3.35.2
  • xen-tools-domU >= 4.9.2_08-3.35.2
Patchnames:
SUSE-CAASP-ALL-2018-1388
SUSE Enterprise Storage 4
  • xen >= 4.7.6_02-43.36.1
  • xen-doc-html >= 4.7.6_02-43.36.1
  • xen-libs >= 4.7.6_02-43.36.1
  • xen-libs-32bit >= 4.7.6_02-43.36.1
  • xen-tools >= 4.7.6_02-43.36.1
  • xen-tools-domU >= 4.7.6_02-43.36.1
Patchnames:
SUSE-Storage-4-2018-1414
SUSE Linux Enterprise Desktop 12 SP3
  • xen >= 4.9.2_08-3.35.2
  • xen-libs >= 4.9.2_08-3.35.2
  • xen-libs-32bit >= 4.9.2_08-3.35.2
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-1388
SUSE Linux Enterprise Module for Basesystem 15
  • xen >= 4.10.1_06-3.3.1
  • xen-libs >= 4.10.1_06-3.3.1
  • xen-tools-domU >= 4.10.1_06-3.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2018-1342
SUSE Linux Enterprise Module for Server Applications 15
  • xen >= 4.10.1_06-3.3.1
  • xen-devel >= 4.10.1_06-3.3.1
  • xen-tools >= 4.10.1_06-3.3.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-2018-1342
SUSE Linux Enterprise Point of Sale 11 SP3
  • xen >= 4.2.5_21-45.25.1
  • xen-kmp-default >= 4.2.5_21_3.0.101_0.47.106.43-45.25.1
  • xen-kmp-pae >= 4.2.5_21_3.0.101_0.47.106.43-45.25.1
  • xen-libs >= 4.2.5_21-45.25.1
  • xen-tools-domU >= 4.2.5_21-45.25.1
Patchnames:
sleposp3-xen-13752
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • xen >= 4.7.6_02-43.36.1
  • xen-doc-html >= 4.7.6_02-43.36.1
  • xen-libs >= 4.7.6_02-43.36.1
  • xen-libs-32bit >= 4.7.6_02-43.36.1
  • xen-tools >= 4.7.6_02-43.36.1
  • xen-tools-domU >= 4.7.6_02-43.36.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2018-1414
SUSE Linux Enterprise Server 11 SP3-LTSS
  • xen >= 4.2.5_21-45.25.1
  • xen-doc-html >= 4.2.5_21-45.25.1
  • xen-doc-pdf >= 4.2.5_21-45.25.1
  • xen-kmp-default >= 4.2.5_21_3.0.101_0.47.106.43-45.25.1
  • xen-kmp-pae >= 4.2.5_21_3.0.101_0.47.106.43-45.25.1
  • xen-libs >= 4.2.5_21-45.25.1
  • xen-libs-32bit >= 4.2.5_21-45.25.1
  • xen-tools >= 4.2.5_21-45.25.1
  • xen-tools-domU >= 4.2.5_21-45.25.1
Patchnames:
slessp3-xen-13752
SUSE Linux Enterprise Server 11 SP4
  • xen >= 4.4.4_34-61.32.1
  • xen-doc-html >= 4.4.4_34-61.32.1
  • xen-kmp-default >= 4.4.4_34_3.0.101_108.57-61.32.1
  • xen-kmp-pae >= 4.4.4_34_3.0.101_108.57-61.32.1
  • xen-libs >= 4.4.4_34-61.32.1
  • xen-libs-32bit >= 4.4.4_34-61.32.1
  • xen-tools >= 4.4.4_34-61.32.1
  • xen-tools-domU >= 4.4.4_34-61.32.1
Patchnames:
slessp4-xen-13698
SUSE Linux Enterprise Server 12 SP1-LTSS
  • xen >= 4.5.5_24-22.52.3
  • xen-doc-html >= 4.5.5_24-22.52.3
  • xen-kmp-default >= 4.5.5_24_k3.12.74_60.64.96-22.52.3
  • xen-libs >= 4.5.5_24-22.52.3
  • xen-libs-32bit >= 4.5.5_24-22.52.3
  • xen-tools >= 4.5.5_24-22.52.3
  • xen-tools-domU >= 4.5.5_24-22.52.3
Patchnames:
SUSE-SLE-SERVER-12-SP1-2018-1406
SUSE Linux Enterprise Server 12 SP2-BCL
  • xen >= 4.7.6_02-43.36.1
  • xen-doc-html >= 4.7.6_02-43.36.1
  • xen-libs >= 4.7.6_02-43.36.1
  • xen-libs-32bit >= 4.7.6_02-43.36.1
  • xen-tools >= 4.7.6_02-43.36.1
  • xen-tools-domU >= 4.7.6_02-43.36.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2018-1414
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • xen >= 4.7.6_02-43.36.1
  • xen-doc-html >= 4.7.6_02-43.36.1
  • xen-libs >= 4.7.6_02-43.36.1
  • xen-libs-32bit >= 4.7.6_02-43.36.1
  • xen-tools >= 4.7.6_02-43.36.1
  • xen-tools-domU >= 4.7.6_02-43.36.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2018-1414
SUSE Linux Enterprise Server 12 SP2-LTSS
  • xen >= 4.7.6_02-43.36.1
  • xen-doc-html >= 4.7.6_02-43.36.1
  • xen-libs >= 4.7.6_02-43.36.1
  • xen-libs-32bit >= 4.7.6_02-43.36.1
  • xen-tools >= 4.7.6_02-43.36.1
  • xen-tools-domU >= 4.7.6_02-43.36.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-1414
SUSE Linux Enterprise Server 12 SP3
  • xen >= 4.9.2_08-3.35.2
  • xen-doc-html >= 4.9.2_08-3.35.2
  • xen-libs >= 4.9.2_08-3.35.2
  • xen-libs-32bit >= 4.9.2_08-3.35.2
  • xen-tools >= 4.9.2_08-3.35.2
  • xen-tools-domU >= 4.9.2_08-3.35.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-1388
SUSE Linux Enterprise Server 12-LTSS
  • xen >= 4.4.4_34-22.71.2
  • xen-doc-html >= 4.4.4_34-22.71.2
  • xen-kmp-default >= 4.4.4_34_k3.12.61_52.136-22.71.2
  • xen-libs >= 4.4.4_34-22.71.2
  • xen-libs-32bit >= 4.4.4_34-22.71.2
  • xen-tools >= 4.4.4_34-22.71.2
  • xen-tools-domU >= 4.4.4_34-22.71.2
Patchnames:
SUSE-SLE-SERVER-12-2018-1389
SUSE Linux Enterprise Server for SAP Applications 11 SP3-LTSS
  • xen >= 4.2.5_21-45.25.1
  • xen-doc-html >= 4.2.5_21-45.25.1
  • xen-doc-pdf >= 4.2.5_21-45.25.1
  • xen-kmp-default >= 4.2.5_21_3.0.101_0.47.106.43-45.25.1
  • xen-kmp-pae >= 4.2.5_21_3.0.101_0.47.106.43-45.25.1
  • xen-libs >= 4.2.5_21-45.25.1
  • xen-libs-32bit >= 4.2.5_21-45.25.1
  • xen-tools >= 4.2.5_21-45.25.1
  • xen-tools-domU >= 4.2.5_21-45.25.1
Patchnames:
slessp3-xen-13752
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • xen >= 4.4.4_34-61.32.1
  • xen-doc-html >= 4.4.4_34-61.32.1
  • xen-kmp-default >= 4.4.4_34_3.0.101_108.57-61.32.1
  • xen-kmp-pae >= 4.4.4_34_3.0.101_108.57-61.32.1
  • xen-libs >= 4.4.4_34-61.32.1
  • xen-libs-32bit >= 4.4.4_34-61.32.1
  • xen-tools >= 4.4.4_34-61.32.1
  • xen-tools-domU >= 4.4.4_34-61.32.1
Patchnames:
slessp4-xen-13698
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • xen >= 4.5.5_24-22.52.3
  • xen-doc-html >= 4.5.5_24-22.52.3
  • xen-kmp-default >= 4.5.5_24_k3.12.74_60.64.96-22.52.3
  • xen-libs >= 4.5.5_24-22.52.3
  • xen-libs-32bit >= 4.5.5_24-22.52.3
  • xen-tools >= 4.5.5_24-22.52.3
  • xen-tools-domU >= 4.5.5_24-22.52.3
Patchnames:
SUSE-SLE-SAP-12-SP1-2018-1406
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • xen >= 4.5.5_24-22.52.3
  • xen-doc-html >= 4.5.5_24-22.52.3
  • xen-kmp-default >= 4.5.5_24_k3.12.74_60.64.96-22.52.3
  • xen-libs >= 4.5.5_24-22.52.3
  • xen-libs-32bit >= 4.5.5_24-22.52.3
  • xen-tools >= 4.5.5_24-22.52.3
  • xen-tools-domU >= 4.5.5_24-22.52.3
Patchnames:
SUSE-SLE-SERVER-12-SP1-2018-1406
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • xen >= 4.7.6_02-43.36.1
  • xen-doc-html >= 4.7.6_02-43.36.1
  • xen-libs >= 4.7.6_02-43.36.1
  • xen-libs-32bit >= 4.7.6_02-43.36.1
  • xen-tools >= 4.7.6_02-43.36.1
  • xen-tools-domU >= 4.7.6_02-43.36.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2018-1414
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • xen >= 4.7.6_02-43.36.1
  • xen-doc-html >= 4.7.6_02-43.36.1
  • xen-libs >= 4.7.6_02-43.36.1
  • xen-libs-32bit >= 4.7.6_02-43.36.1
  • xen-tools >= 4.7.6_02-43.36.1
  • xen-tools-domU >= 4.7.6_02-43.36.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2018-1414
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • xen >= 4.7.6_02-43.36.1
  • xen-doc-html >= 4.7.6_02-43.36.1
  • xen-libs >= 4.7.6_02-43.36.1
  • xen-libs-32bit >= 4.7.6_02-43.36.1
  • xen-tools >= 4.7.6_02-43.36.1
  • xen-tools-domU >= 4.7.6_02-43.36.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2018-1414
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • xen >= 4.7.6_02-43.36.1
  • xen-doc-html >= 4.7.6_02-43.36.1
  • xen-libs >= 4.7.6_02-43.36.1
  • xen-libs-32bit >= 4.7.6_02-43.36.1
  • xen-tools >= 4.7.6_02-43.36.1
  • xen-tools-domU >= 4.7.6_02-43.36.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-1414
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • xen >= 4.9.2_08-3.35.2
  • xen-doc-html >= 4.9.2_08-3.35.2
  • xen-libs >= 4.9.2_08-3.35.2
  • xen-libs-32bit >= 4.9.2_08-3.35.2
  • xen-tools >= 4.9.2_08-3.35.2
  • xen-tools-domU >= 4.9.2_08-3.35.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-1388
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • xen >= 4.4.4_34-22.71.2
  • xen-doc-html >= 4.4.4_34-22.71.2
  • xen-kmp-default >= 4.4.4_34_k3.12.61_52.136-22.71.2
  • xen-libs >= 4.4.4_34-22.71.2
  • xen-libs-32bit >= 4.4.4_34-22.71.2
  • xen-tools >= 4.4.4_34-22.71.2
  • xen-tools-domU >= 4.4.4_34-22.71.2
Patchnames:
SUSE-SLE-SERVER-12-2018-1389
SUSE Linux Enterprise Software Development Kit 11 SP4
  • xen >= 4.4.4_34-61.32.1
  • xen-devel >= 4.4.4_34-61.32.1
Patchnames:
sdksp4-xen-13698
SUSE Linux Enterprise Software Development Kit 12 SP3
  • xen >= 4.9.2_08-3.35.2
  • xen-devel >= 4.9.2_08-3.35.2
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-1388
SUSE OpenStack Cloud 7
  • xen >= 4.7.6_02-43.36.1
  • xen-doc-html >= 4.7.6_02-43.36.1
  • xen-libs >= 4.7.6_02-43.36.1
  • xen-libs-32bit >= 4.7.6_02-43.36.1
  • xen-tools >= 4.7.6_02-43.36.1
  • xen-tools-domU >= 4.7.6_02-43.36.1
Patchnames:
SUSE-OpenStack-Cloud-7-2018-1414
openSUSE Leap 15.0
  • xen >= 4.10.1_06-lp150.2.6.1
  • xen-debugsource >= 4.10.1_06-lp150.2.6.1
  • xen-devel >= 4.10.1_06-lp150.2.6.1
  • xen-doc-html >= 4.10.1_06-lp150.2.6.1
  • xen-libs >= 4.10.1_06-lp150.2.6.1
  • xen-libs-32bit >= 4.10.1_06-lp150.2.6.1
  • xen-libs-32bit-debuginfo >= 4.10.1_06-lp150.2.6.1
  • xen-libs-debuginfo >= 4.10.1_06-lp150.2.6.1
  • xen-tools >= 4.10.1_06-lp150.2.6.1
  • xen-tools-debuginfo >= 4.10.1_06-lp150.2.6.1
  • xen-tools-domU >= 4.10.1_06-lp150.2.6.1
  • xen-tools-domU-debuginfo >= 4.10.1_06-lp150.2.6.1
Patchnames:
openSUSE-2018-766
openSUSE Leap 42.3
  • xen >= 4.9.2_08-25.2
  • xen-debugsource >= 4.9.2_08-25.2
  • xen-devel >= 4.9.2_08-25.2
  • xen-doc-html >= 4.9.2_08-25.2
  • xen-libs >= 4.9.2_08-25.2
  • xen-libs-debuginfo >= 4.9.2_08-25.2
  • xen-tools >= 4.9.2_08-25.2
  • xen-tools-debuginfo >= 4.9.2_08-25.2
  • xen-tools-domU >= 4.9.2_08-25.2
  • xen-tools-domU-debuginfo >= 4.9.2_08-25.2
Patchnames:
openSUSE-2018-803


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 2.0 xen Released
SUSE Linux Enterprise Desktop 12 SP3 xen Released
SUSE Linux Enterprise Module for Basesystem 15 GA xen Released
SUSE Linux Enterprise Module for Server Applications 15 GA xen Released
SUSE Linux Enterprise SDK 11 SP4 xen Released
SUSE Linux Enterprise SDK 12 SP3 xen Released
SUSE Linux Enterprise Server 11 SP3 LTSS xen Released
SUSE Linux Enterprise Server 11 SP4 xen Released
SUSE Linux Enterprise Server 12 GA LTSS xen Released
SUSE Linux Enterprise Server 12 SP1 LTSS xen Released
SUSE Linux Enterprise Server 12 SP2 LTSS xen Released
SUSE Linux Enterprise Server 12 SP3 xen Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 xen Released